Name:           svn2cl
Version:        0.14
Release:        5%{?dist}
Summary:        Create a ChangeLog from a Subversion log

License:        BSD
URL:            http://arthurdejong.org/svn2cl/
Source0:        http://arthurdejong.org/svn2cl/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       libxslt
Requires:       subversion
Provides:       subversion-svn2cl = 1.7.0
Obsoletes:      subversion-svn2cl < 1.7.0

%description
svn2cl is a simple XSL transformation and shell script wrapper for
generating a classic GNU-style ChangeLog from a subversion repository
log.  It is made from several change log -like scripts using common
XSLT constructs found in different places.


%prep
%setup -q
sed -i -e 's|^XSL="$dir/|XSL="%{_datadir}/svn2cl/|' svn2cl.sh


%build


%install
install -Dpm 755 svn2cl.sh $RPM_BUILD_ROOT%{_bindir}/svn2cl
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/svn2cl
install -pm 644 *.xsl $RPM_BUILD_ROOT%{_datadir}/svn2cl
install -Dpm 644 svn2cl.1 $RPM_BUILD_ROOT%{_mandir}/man1/svn2cl.1


%files
%doc ChangeLog NEWS README TODO authors.xml svn2html.css
%{_bindir}/svn2cl
%{_datadir}/svn2cl/
%{_mandir}/man1/svn2cl.1*


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 31 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.14-1
- New upstream version
- BZ #1008425

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 13 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.13-2
- Provide subversion-svn2cl.

* Wed Oct 12 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.13-1
- Update to 0.13, obsolete subversion-svn2cl.
- Specfile cleanups.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 21 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.11-1
- 0.11.

* Sun Apr  6 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.10-1
- 0.10, drop disttag.

* Sun Apr  8 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.9-1
- 0.9.

* Thu Oct 19 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.8-1
- 0.8.
- Add (empty) %%build section.

* Fri Sep 15 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.7-2
- Rebuild.

* Fri Jun  2 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.7-1
- 0.7.

* Fri Apr  7 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.6-1
- First FE build (#186632).

* Thu Mar 23 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.6-0.1
- First build.
